Bug 8849 - karchie hangs
karchie hangs
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-25 12:01 EST by Alan Cox
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-06 07:56:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2000-01-25 12:01:59 EST
Start  a karchie query through a firewall blocking archie
(yeah duh I know I wondred what was up). The gui keeps on
working until you try a 2nd one then it prints


 another query running

and hangs
Comment 1 Bernhard Rosenkraenzer 2000-02-06 07:56:59 EST
I think that's the way it's supposed to be - unless the firewall already denies
the request (which doesn't seem to be the case), it just keeps waiting for a
reply (some servers ARE slow).
Until then, you can prepare the next query, but not run it until the original
one is finished.
Fixing this (by adding a timeout, or simply having the new query kill the old
one) would be more trouble than it's worth. I've passed the message on to the
maintainer though - maybe it'll be fixed in 2.0.

Note You need to log in before you can comment on or make changes to this bug.